VSTGUI: Version 4.15

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Functions
Version 4.15
New classes

## Classes
struct | ITextEditorController
| text editor controller interface More...
struct | ITextEditor
| text editor interface More...
struct | IEditorExt
| Extension to ITextEditor, use a dynamic_cast to get it from an ITextEditor. More...
struct | IStyleProvider
| Extension to ITextEditorController. More...
struct | ViewLayout
| view layout More...
class | IViewLayouter
| view layouter interface More...
struct | AutoSizeViewLayouter
| autosize view layouter More...
class | BaseViewLayouter
| a base class for view layouters More...
struct | GridLayoutProperties
| Properties for configuring a grid layout, compatible with CSS Grid Layout. More...
class | GridLayouter
| grid view layouter More...
struct | NoViewLayouter
| A view layouter that does not layout any views. More...

## Functions
const CSSNamedColorArray & | getCSSNamedColors ()
| get the CSS color array
CView * | createNewTextEditor (const CRect &r, ITextEditorController *controller)
| Create a new texteditor.

## CScrollView Methods
void | setEdgeView (Edge edge, CView *view)
| set a static edge view

## Detailed Description

## Function Documentation

## ◆ createNewTextEditor()

CView * createNewTextEditor | ( | const CRect & | r,
|  | ITextEditorController * | controller )

Create a new texteditor.

To handle the life time between the controller and the texteditor it is necessary that the controller listens to the destroy call of the text editor and then reset the controller on the texteditor, or when the controller is destroyed first to also reset the controller on the texteditor.

Parameters

  r | size of the text editor
  controller | the controller of the text editor

Returns
  a new text editor view, the caller owns the returned object

## ◆ getCSSNamedColors()

const CSSNamedColorArray & getCSSNamedColors | ( |  | ) |

get the CSS color array

## ◆ setEdgeView()

void setEdgeView | ( | Edge | edge,
|  | CView * | view )

set a static edge view

An edge view can be set for the top and left edge. The top edge view will have the same width as the scroll view. The bottom of the left edge view will always be the bottom of the scroll view and its top will either be the bottom of the top edge view or the top of the scroll view itself.

Parameters

  edge | the edge where to place the view
  view | the view to set (if this is a nullptr then the previously set view is removed)